Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.batchadapter.appconn.record
Class BatchRecordApplicationConnectionFactoryImpl

    java.lang.Object
      com.stc.connector.framework.util.JndiJCAObject
          com.stc.connector.framework.client.appconn.STCApplicationConnectionFactory
              com.stc.connector.batchadapter.appconn.record.BatchRecordApplicationConnectionFactoryImpl

All Implemented Interfaces:
  com.stc.connector.appconn.common.ApplicationConnectionFactory, BatchRecordApplicationConnectionFactory, java.io.Serializable, javax.naming.Referenceable

    public class BatchRecordApplicationConnectionFactoryImpl

extends com.stc.connector.framework.client.appconn.STCApplicationConnectionFactory
implements BatchRecordApplicationConnectionFactory

Author:
  jfu
See Also:
  Serialized Form

Constructor Summary
`BatchRecordApplicationConnectionFactoryImpl(javax.resource.spi.ManagedConnectionFactory mcf)`
`BatchRecordApplicationConnectionFactoryImpl(javax.resource.spi.ManagedConnectionFactory mcf, javax.resource.spi.ConnectionManager cm)`

Method Summary

Methods inherited from class com.stc.connector.framework.client.appconn.STCApplicationConnectionFactory
`getConnection, getConnection, getManagedConnectionFactory`

Methods inherited from class com.stc.connector.framework.util.JndiJCAObject
`getReference, getVersion, setReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.stc.connector.appconn.common.ApplicationConnectionFactory
`getConnection, getConnection`

Methods inherited from interface javax.naming.Referenceable
`getReference`

Constructor Detail

### BatchRecordApplicationConnectionFactoryImpl

    public BatchRecordApplicationConnectionFactoryImpl(javax.resource.spi.ManagedConnectionFactory mcf)
                                                throws javax.resource.ResourceException

Throws:
  `javax.resource.ResourceException`

### BatchRecordApplicationConnectionFactoryImpl

    public BatchRecordApplicationConnectionFactoryImpl(javax.resource.spi.ManagedConnectionFactory mcf,
                                                       javax.resource.spi.ConnectionManager cm)
                                                throws javax.resource.ResourceException

Throws:
  `javax.resource.ResourceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD